//
//  AnonymousProfileViewController.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 13/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import UIKit

class AnonymousProfileViewController: UIViewController {
    
    @IBOutlet weak var anonymousLabel: UILabel!
    @IBOutlet weak var anonymousButton: UIButton!
    @IBOutlet weak var closeButton: UIButton!
    
    var isModal: Bool
    
    init(isModal: Bool) {
        self.isModal = isModal
        super.init(nibName: "AnonymousProfileViewController", bundle: nil)
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        closeButton.isHidden = !isModal
        anonymousLabel.text = "No Logged".localize()
        anonymousButton.setTitle("Enter".localize(), for: .normal)
    }
    
    @IBAction func onTapButton(_ sender: UIButton) {
        let navigationController = MainNavigationController()
        let vc = LoginViewController()
        
        navigationController.viewControllers = [vc]
        
        present(navigationController, animated: true, completion: nil)
    }
    
    @IBAction func onTapCloseButton(_ sender: Any) {
        parent?.dismiss(animated: true, completion: nil)
    }
    
}
