//
//  BookCreatedViewController.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 15/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import UIKit

class BookCreatedViewController: UIViewController {
    
    let book: Book
    
    @IBOutlet weak var titleLabel: UILabel!
    @IBOutlet weak var subTitleLabel: UILabel!
    @IBOutlet weak var contactButton: ActionButton!
    
    init(book: Book) {
        self.book = book
        super.init(nibName: "BookCreatedViewController", bundle: nil)
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        titleLabel.text = "Booking success!".localize()
        titleLabel.textColor = UIColor.blue
        subTitleLabel.text = "Booking subtitle".localize()
        contactButton.setTitle("Contact now!".localize(), for: .normal)
    }
    
    @IBAction func onTapButton(_ sender: UIButton) {
        NotificationCenter.default.post(
            name: NSNotification.Name(rawValue: Constant.Event.openChat),
            object: nil,
            userInfo: ["book": book]
        )
        
        dismiss(animated: true, completion: nil)
    }
}
