//
//  BookTableViewCell.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 20/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import UIKit
import Kingfisher
import Cosmos
class BookTableViewCell: UITableViewCell {
    @IBOutlet weak var gameImageView: UIImageView!
    @IBOutlet weak var titleLabel: UILabel!
    @IBOutlet weak var ratingView: CosmosView!
    @IBOutlet weak var dateLabel: UILabel!
    
    func loadData(book: Book, callback: () -> Void ) {
        selectionStyle = .none
        ProductNetwork.get(status: "published", productId: book.product) { (product, error) in
            guard let product = product else {
                return
            }
            
            self.titleLabel.text = product.name
            self.ratingView.rating = product.scoreAverage
            let url = URL(string: product.images.first!)
            
            let processor = RoundCornerImageProcessor(cornerRadius: 10)
            self.gameImageView.kf.setImage(with: url, options: [.processor(processor)])
        }
    }
}
