//
//  CalendarViewCell.swift
//  Gaming
//
//  Created by Daniel Funes Garcia-Penche on 01/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import UIKit
import JTAppleCalendar

class CalendarViewCell: JTAppleCell {

    @IBOutlet weak var dateLabel: UILabel!
    @IBOutlet weak var selectedView: UIView!
    
    @IBOutlet weak var backgroundRightView: UIView!
    @IBOutlet weak var backgroundLeftView: UIView!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
        layoutMargins.left = 0
        layoutMargins.right = 0
        
        selectedView.backgroundColor = UIColor.orange
        selectedView.layer.cornerRadius = selectedView.frame.width / 2
        selectedView.clipsToBounds = true
    }

    func select() {
        dateLabel.textColor = UIColor.white
        selectedView.isHidden = false
        backgroundRightView.isHidden = true
        backgroundLeftView.isHidden = true
        contentView.bringSubview(toFront: dateLabel)
    }
    
    func selectAsFirst() {
        dateLabel.textColor = UIColor.white
        selectedView.isHidden = false
        backgroundRightView.isHidden = false
        backgroundLeftView.isHidden = true
        contentView.bringSubview(toFront: dateLabel)
    }
    
    func selectAsLast() {
        dateLabel.textColor = UIColor.white
        selectedView.isHidden = false
        backgroundRightView.isHidden = true
        backgroundLeftView.isHidden = false
        contentView.bringSubview(toFront: dateLabel)
    }
    
    func unselect() {
        dateLabel.textColor = UIColor.black
        selectedView.isHidden = true
        backgroundRightView.isHidden = true
        backgroundLeftView.isHidden = true
    }
    
    func selectAsMiddle() {
        backgroundRightView.isHidden = false
        backgroundLeftView.isHidden = false
    }
    
    func hide() {
        isHidden = true
    }
}
