//
//  ImageSlideTableViewCell.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 14/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import UIKit
import ImageSlideshow

class ImageSlideTableViewCell: UITableViewCell {

    var slideshow: ImageSlideshow = ImageSlideshow()
    
    override init(style: UITableViewCellStyle, reuseIdentifier: String?) {
        super.init(style: style, reuseIdentifier: reuseIdentifier)
        
        slideshow.contentScaleMode = UIViewContentMode.scaleAspectFill
        slideshow.clipsToBounds = true
        
        addSubview(slideshow)
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    func loadImages(urls: [String]) {
        var images: [KingfisherSource] = []
        for image in urls {
            images.append(KingfisherSource(urlString: image)!)
        }
        
        slideshow.setImageInputs(images)
        slideshow.reloadInputViews()
    }
}
