//
//  ProductBottomView.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 14/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import UIKit
import Cosmos

class ProductBottomView: UIView {
    @IBOutlet weak var priceLabel: UILabel!
    @IBOutlet weak var ratingView: CosmosView!
    @IBOutlet weak var bookButton: ActionButton!
    
    func loadView(product: Product) {
        priceLabel.text = "@ / day".localize(wildcard: String(product.price))
        ratingView.rating = product.scoreAverage
        bookButton.setTitle("Book".localize(), for: .normal)
    }
    
    override func layoutSubviews() {
        super.layoutSubviews()
        
        let topBorder: CALayer = CALayer()
        topBorder.frame = CGRect(x: 0, y: 0, width: frame.width, height: 0.5)
        topBorder.backgroundColor = UIColor.lightGray.cgColor
        
        layer.addSublayer(topBorder)
    }
}
