//
//  ProfileViewController.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 12/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import UIKit
import Kingfisher

class ProfileViewController: MainViewController {
    @IBOutlet weak var avatarImageView: UIImageView!
    @IBOutlet weak var nameLabelView: UILabel!
    
    var user: User! {
        didSet {
            self.fillViewData()
        }
    }
    
    override func viewDidLoad() {
        navigationController?.setTranslucentBar()
        avatarImageView.layer.cornerRadius = avatarImageView.frame.width / 2
    }
    
    override func viewWillAppear(_ animated: Bool) {
        // Current profile controller is inside a wrapper (ProtectedViewController)
        parent?.navigationItem.rightBarButtonItem = UIBarButtonItem(
            title: "Logout".localize(),
            style: .plain,
            target: self,
            action: #selector(logout)
        )
        
        UserNetwork.getUser(userId: UserNetwork.currentUser().uid) { (user, error) in
            self.user = user
        }
    }
    
    func logout() {
        UserNetwork.logout()
    }
    
    func fillViewData() {
        let processor = RoundCornerImageProcessor(cornerRadius: avatarImageView.frame.width * 2)
        let url = URL(string: user.avatar)
        avatarImageView.kf.setImage(with: url, options: [.processor(processor)])
        nameLabelView.text = user.name
    }
}
