//
//  Review.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 21/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import Foundation
import ObjectMapper
import FirebaseAuth

class Review: Mappable {
    var id: String      = ""
    var user: String    = ""
    var userName        = ""
    var userImage: String = ""
    var book: String    = ""
    var product: String = ""
    var rating: Double  = 0
    var comment: String = ""
    
    init(user: FIRUser, book: Book, product: Product, rating: Double, comment: String) {
        self.user       = user.uid
        self.book       = book.id
        self.product    = product.id
        self.rating     = rating
        self.comment    = comment
    }
    
    public required init?(map: Map) {
    }
    
    func mapping(map: Map) {
        self.id         <- map["id"]
        self.user       <- map["user"]
        self.book       <- map["book"]
        self.rating     <- map["rating"]
        self.comment    <- map["comment"]
        self.userName   <- map["userName"]
        self.userImage  <- map["userImage"]
        self.product    <- map["product"]
    }
    
    static func mapDictionary(json: [String : [String : Any]]) -> [Review] {
        let dictionary = Mapper<Review>().mapDictionary(JSON: json)
        
        var reviews: [Review] = []
        for review in dictionary!.values {
            reviews.append(review)
        }
        
        return reviews
    }

}
