//
//  ReviewTableViewCell.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 21/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import UIKit
import Cosmos
import Kingfisher

class ReviewTableViewCell: UITableViewCell {
    @IBOutlet weak var userNameLabel: UILabel!
    @IBOutlet weak var ratingView: CosmosView!
    @IBOutlet weak var commentLabel: UILabel!
    @IBOutlet weak var userImageView: UIImageView!

    override func awakeFromNib() {
        super.awakeFromNib()
    }
    
    func fillViewData(review: Review) {
        userNameLabel.text = review.userName
        ratingView.rating = review.rating
        commentLabel.text = review.comment
        
        userImageView.layer.masksToBounds = true
        userImageView.layer.cornerRadius = userImageView.frame.width / 2
        let processor = RoundCornerImageProcessor(cornerRadius: userImageView.frame.width)
        let url = URL(string: review.userImage)
        userImageView.kf.setImage(with: url, options: [.processor(processor)])
    }
}
