//
//  User.swift
//  migamy
//
//  Created by Daniel Funes Garcia-Penche on 14/05/2017.
//  Copyright © 2017 Daniel Funes Garcia-Penche. All rights reserved.
//

import Foundation
import ObjectMapper

class User: Mappable {
    
    static let defaultLatitude = 40.377211
    static let defaultLongitude = -3.679479
    
    var id: String          = ""
    var name: String        = ""
    var email: String       = ""
    var avatar: String      = ""
    var latitude: Double    = 0
    var longitude: Double   = 0
    var avatarImage: UIImage = UIImage()
    
    init(name: String, email: String, avatar: UIImage, latitude: Double?, longitude: Double?) {
        self.name       = name
        self.email      = email
        self.avatarImage = avatar
        self.latitude   = latitude ?? 0
        self.longitude  = longitude ?? 0
    }
    
    public required init?(map: Map) {
    }
    
    func mapping(map: Map) {
        self.id         <- map["id"]
        self.name       <- map["name"]
        self.email      <- map["email"]
        self.avatar     <- map["avatar"]
        self.latitude   <- map["latitude"]
        self.longitude  <- map["longitude"]
    }
}
